ghc-mod-5.6.0.0: Happy Haskell Programming

Safe Haskell | None
Language | Haskell2010

Language.Haskell.GhcMod.FillSig

Synopsis

- sig :: IOish m => FilePath -> Int -> Int -> GhcModT m String
- refine :: IOish m => FilePath -> Int -> Int -> Expression -> GhcModT m String
- auto :: IOish m => FilePath -> Int -> Int -> GhcModT m String

# Documentation

sig #

Arguments

:: IOish m |
=> FilePath | A target file.
-> Int | Line number.
-> Int | Column number.
-> GhcModT m String |

Create a initial body from a signature.

refine #

Arguments

:: IOish m |
=> FilePath | A target file.
-> Int | Line number.
-> Int | Column number.
-> Expression | A Haskell expression.
-> GhcModT m String |

auto #

Arguments

:: IOish m |
=> FilePath | A target file.
-> Int | Line number.
-> Int | Column number.
-> GhcModT m String |